### Method

# Gtk Builder set_current_object

#### Declaration [src]

    void
    gtk_builder_set_current_object (
      GtkBuilder* builder,
      GObject* current_object
    )

#### Description [src]

Sets the current object for the `builder`.

The current object can be thought of as the `this` object that the builder is working for and will often be used as the default object when an object is optional.

gtk_widget_init_template() for example will set the current object to the widget the template is inited for. For functions like gtk_builder_new_from_resource(), the current object will be `NULL`.

Sets property | `Gtk.Builder:current-object`

#### Parameters

`current_object` | `GObject*`
| The new current object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.